// myapp.h

#ifndef MYAPP_H_INCLUDED
#define MYAPP_H_INCLUDED

class CMyApp
{
private:
	static const int MAX_LOAD_STRING = 256;
	static LRESULT CALLBACK WndProc(HWND, UINT, WPARAM, LPARAM);

public:
	CMyApp(HINSTANCE hInstance, HINSTANCE hPrevInstance);
	~CMyApp();
	int Run(int nCmdShow);

public:
	HINSTANCE m_hInstance;

private:
	TCHAR m_szWinClass[(MAX_LOAD_STRING+1)];
	TCHAR m_szAppTitle[(MAX_LOAD_STRING+1)];
};

#endif	// MYAPP_H_INCLUDED
